| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Classes | Typedefs | Enumerations | Functions
/builds/wireshark/wireshark/fileset.h File Reference
`#include <inttypes.h>`
`#include <time.h>`

Go to the source code of this file.

## Classes
struct | _fileset_entry
| Describes a single file belonging to a capture file set. More...

## Typedefs
typedef struct _fileset_entry | fileset_entry
| Describes a single file belonging to a capture file set.

## Enumerations
enum | fileset_match_t { FILESET_NO_MATCH , FILESET_TIME_NUM , FILESET_NUM_TIME }
| Describes the naming pattern detected in a capture file set's filenames. More...

## Functions
fileset_match_t | fileset_filename_match_pattern (const char *fname, char **prefix, char **suffix, char **time)
| Determines if a filename matches a specific pattern and extracts relevant parts.
void | fileset_add_dir (const char *fname, void *window)
| Adds a directory to the fileset.
void | fileset_delete (void)
| Deletes the fileset and frees all associated resources.
const char * | fileset_get_dirname (void)
| Get the current directory name.
fileset_entry * | fileset_get_next (void)
| Get the next fileset entry.
fileset_entry * | fileset_get_previous (void)
| Get the previous fileset entry.
void | fileset_dlg_add_file (fileset_entry *entry, void *window)
| Add an entry to our dialog / window.
void | fileset_dlg_begin_add_file (void *window)
void | fileset_dlg_end_add_file (void *window)
| Notify our dialog / window that we're done adding files.
void | fileset_update_dlg (void *window)
| Updates the file dialog with the current file entries.
void | fileset_update_file (const char *path)
| Updates the file entry with the given path.

## Detailed Description

Definitions for routines for file sets.

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Enumeration Type Documentation

## ◆ fileset_match_t

enum fileset_match_t

Describes the naming pattern detected in a capture file set's filenames.

Enumerator
FILESET_NO_MATCH | Filename does not match any recognized file set naming pattern
FILESET_TIME_NUM | Filename follows the timestamp-then-sequence-number pattern
FILESET_NUM_TIME | Filename follows the sequence-number-then-timestamp pattern

## Function Documentation

## ◆ fileset_add_dir()

void fileset_add_dir | ( | const char * | fname,
|  | void * | window )
| extern

Adds a directory to the fileset.

Parameters

  fname | The name of the directory to add.
  window | A pointer to the window associated with the operation.

## ◆ fileset_delete()

void fileset_delete | ( | void |  | ) |
| extern

Deletes the fileset and frees all associated resources.

This function releases all memory allocated for the fileset, including its entries and directory name.

## ◆ fileset_dlg_add_file()

void fileset_dlg_add_file | ( | fileset_entry * | entry,
|  | void * | window )
| extern

Add an entry to our dialog / window.

Called by fileset_update_dlg. Must be implemented in the UI.

Parameters

  entry | The new fileset entry.
  window | Window / dialog reference provided by the UI code.

## ◆ fileset_dlg_begin_add_file()

void fileset_dlg_begin_add_file | ( | void * | window | ) |
| extern

Notify our dialog / window that we're about to add files. Called by fileset_update_dlg. Must be implemented in the UI.

Parameters

  window | Window / dialog reference provided by the UI code.

## ◆ fileset_dlg_end_add_file()

void fileset_dlg_end_add_file | ( | void * | window | ) |
| extern

Notify our dialog / window that we're done adding files.

Called by fileset_update_dlg. Must be implemented in the UI.

Parameters

  window | Window / dialog reference provided by the UI code.

## ◆ fileset_filename_match_pattern()

fileset_match_t fileset_filename_match_pattern | ( | const char * | fname,
|  | char ** | prefix,
|  | char ** | suffix,
|  | char ** | time )
| extern

Determines if a filename matches a specific pattern and extracts relevant parts.

This function checks if the given filename matches predefined patterns for filesets and extracts the prefix, suffix, and time components from the filename.

Parameters

  fname | The filename to be checked.
  prefix | Pointer to store the prefix extracted from the filename.
  suffix | Pointer to store the suffix extracted from the filename.
  time | Pointer to store the time extracted from the filename.

Returns
  fileset_match_t Indicates whether the filename matches any of the predefined patterns.

## ◆ fileset_get_dirname()

const char * fileset_get_dirname | ( | void |  | ) |
| extern

Get the current directory name.

Returns
  The current directory name, or NULL if not available.

## ◆ fileset_get_next()

fileset_entry * fileset_get_next | ( | void |  | ) |
| extern

Get the next fileset entry.

Returns
  The next fileset entry, or NULL if there is no next entry.

## ◆ fileset_get_previous()

fileset_entry * fileset_get_previous | ( | void |  | ) |
| extern

Get the previous fileset entry.

Returns
  The previous fileset entry, or NULL if there is no previous entry.

## ◆ fileset_update_dlg()

void fileset_update_dlg | ( | void * | window | ) |
| extern

Updates the file dialog with the current file entries.

Parameters

  window | Pointer to the window containing the file dialog.

## ◆ fileset_update_file()

void fileset_update_file | ( | const char * | path | ) |
| extern

Updates the file entry with the given path.

This function updates the file entry in the fileset with the specified path, setting its creation time, modification time, and size based on the current state of the file.

Parameters

  path | The path to the file to be updated.